Package ru.bitel.bgbilling.modules.sorm.server.event

# Class SormUploadEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.sorm.server.event.SormUploadEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class SormUploadEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Событие о выгрузке файлов на СОРМ для возможности переопределения и пользовательской реализации выгрузки в дин.коде

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SormUploadEvent​(int mid, SormProject sormProject, boolean isFullUpload)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `SormProject` | `getSormProject()` |
  `ru.bitel.bgbilling.modules.sorm.server.upload.Upload` | `getUploadVersion()` |
  `boolean` | `isFullUpload()` |
  `void` | `setUploadVersion​(ru.bitel.bgbilling.modules.sorm.server.upload.Upload uploadVersion)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SormUploadEvent

    public SormUploadEvent​(int mid, SormProject sormProject, boolean isFullUpload)

- ## Method Details

  - ### getSormProject

    public SormProject getSormProject()

  - ### getUploadVersion

    public ru.bitel.bgbilling.modules.sorm.server.upload.Upload getUploadVersion()

  - ### setUploadVersion

    public void setUploadVersion​(ru.bitel.bgbilling.modules.sorm.server.upload.Upload uploadVersion)

  - ### isFullUpload

    public boolean isFullUpload()